[Edgy] python2.5 default breaks bittorrent

Bug #68387 reported by edschofield on 2006-10-26
This bug report is a duplicate of:  Bug #73502: [Feisty] gnome-btdownload broken. Edit Remove
2
Affects Status Importance Assigned to Milestone
bittorrent (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: bittorrent

The Edgy bittorrent package seems to break when the /usr/bin/python symlink is set to python2.5. For example:

user@host:$ btdownloadcurses
Traceback (most recent call last):
  File "/usr/bin/btdownloadcurses", line 6, in <module>
    from BitTorrent.download import download
ImportError: No module named BitTorrent.download

When choosing to load gnome-btdownload (e.g. with 'Open' from Nautilus), nothing happens and no error message is seen.

Changing the magic lines of the bittorrent scripts like btdownloadcurses in the /usr/bin/ directory from
#!/usr/bin/python
to
#!/usr/bin/python2.4
seems to work around the problem. Is this something to consider for Edgy until a proper bittorrent package is made for python 2.5?

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers